import { AwsCustomResource } from "aws-cdk-lib/custom-resources";
import { Construct } from "constructs";
import { Duration } from "aws-cdk-lib";
export interface PutItemProps {
    readonly tableName: string;
    readonly timeout?: Duration;
    readonly item: any;
    readonly physicalResourceId?: string;
}
export declare class PutItem extends Construct {
    readonly resource: AwsCustomResource;
    constructor(scope: Construct, id: string, props: PutItemProps);
}
